//const main = 'https://192.168.5.128:5000/'
//const main = 'http://localhost:5000/'
//const main = 'http://192.168.5.118:5000/'
const main = 'https://groeger-clan.duckdns.org:5000/'
//const main = 'https://flaschengeist.wu5.de:5000/'

const url = {
  login: main + 'login',
  logout: main + 'logout',
  getUsers: main + 'getUsers',
  pricelist: main + 'pricelist',
  getTypes: main + 'drinkTypes',
  getFinanzerMain: main + 'getFinanzerMain',
  bar: main + 'bar',
  barGetUser: main + 'barGetUser',
  barAddAmount: main + 'baradd',
  finanzerAddAmount: main + 'finanzerAddAmount',
  finanzerAddCredit: main + 'finanzerAddCredit',
  searchUser: main + 'search',
  getAllUser: main + 'barGetUsers',
  lockUser: main + 'finanzerLock',
  finanzerSetConfig: main + 'finanzerSetConfig',
  finanzerAddUser: main + 'finanzerAddUser',
  finanzerSendAllMail: main + 'finanzerSendAllMail',
  finanzerSendOneMail: main + 'finanzerSendOneMail',
  userMain: main + 'user/main',
  userAddAmount: main + 'user/addAmount',
  saveLifeTime: main + 'saveLifeTime',
  getLifeTime: main + 'getLifeTime',
  resetPassword: main + 'passwordReset',
  freeDrinkListConfig: main + 'freeDrinkListConfig',
  freeDrinkListHistory: main + 'freeDrinkListHistory',
  freeDrinkListHistoryFromTo: main + 'freeDrinkListHistoryFromTo',
  deleteDrinkListHistory: main + 'deleteDrinkListHistory',
  freeDrinkListReasons: main + 'freeDrinkListReasons',
  deleteFreeDrinkListReason: main + 'deleteFreeDrinkListReason',
  freeDrinkTypes: main + 'freeDrinkTypes',
  deleteFreeDrinkListConfig: main + 'deleteFreeDrinkListConfig',
  vorstand: {
    sm: {
      addUser: main + 'sm/addUser',
      deleteUser: main + 'sm/deleteUser',
      getUser: main + 'sm/getUser',
      getUsers: main + 'user/jobs',
      lockDay: main + 'sm/lockDay',
      searchUser: main + 'sm/searchWithExtern',
      jobkind: main + 'sm/JobKind',
      getAllJobKindsbKinds: main + 'sm/getAllJobKinds',
      getJobKind: main + 'sm/getJobKind',
      deleteJobKind: main + 'sm/deleteJobKind',
      updateJobKindDates: main + 'jk/JobKindDate',
      getJobKindDates: main + 'jk/JobKindDate'
    },
    um: {
      setStatus: main + 'um/setStatus',
      updateStatus: main + 'um/updateStatus',
      deleteStatus: main + 'um/deleteStatus',
      updateStatusUser: main + 'um/updateStatusUser',
      updateVoting: main + 'um/updateVoting',
      updateWorkgroups: main + 'um/updateWorkgroups'
    },
    wm: {
      workgroup: main + 'wgm/workgroup',
      getWorkgroup: main + 'wgm/getWorkgroup',
      getAllWorkgroups: main + 'wgm/getAllWorkgroups',
      deleteWorkgroup: main + 'wgm/deleteWorkgroup'
    }
  },
  user: {
    config: main + 'user/saveConfig',
    job: main + 'user/job',
    jobs: main + 'user/jobs',
    addJob: main + 'user/addJob',
    getJobOnDates: main + 'user/jobsOnDates',
    deleteJob: main + 'user/deleteJob',
    getJobInvites: main + 'user/getJobInvites',
    setJobInvites: main + 'user/JobInvites',
    deletJobInvite: main + 'user/deleteJobInvite',
    getJobRequests: main + 'user/getJobRequests',
    setJobRequests: main + 'user/JobRequests',
    deletJobRequest: main + 'user/deleteJobRequest',
    storno: main + 'user/storno',
    getAllStatus: main + 'getAllStatus',
    getStatus: main + 'getStatus',
    valid: main + 'valid',
    getAccessTokens: main + 'user/getAccessTokens'
  },
  barU: {
    storno: main + 'bar/storno',
    lock: main + 'bar/lock',
    addUser: main + 'bar/addUser'
  },
  gastro: {
    setDrink: main + 'gastro/setDrink',
    updateDrink: main + 'gastro/updateDrink',
    deleteDrink: main + 'gastro/deleteDrink',
    setType: main + 'gastro/setDrinkType',
    updateType: main + 'gastro/updateDrinkType',
    deleteType: main + 'gastro/deleteDrinkType'
  }
}

export default url
